package com.example.what_the_fantasy.ui.screens

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Column
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.drawBehind
import androidx.compose.ui.geometry.CornerRadius
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import com.example.what_the_fantasy.data.model.Quote

@Composable
fun QuotePage(quote : Quote, modifier: Modifier) {
    Column(modifier = modifier.background(Color.Black)) {
        Text(
            text = '"'+quote.content+'"'

        )
        InfoQuoteText(
            text = quote.character
        )
        Text(
            text = "-" + quote.source
        )
        Text(
            text = "like : " + quote.likes.toString()
        )

    }
}

@Composable
fun InfoQuoteText(text : String){
    Text(
        text = text,
        modifier = Modifier
            .drawBehind {
                drawRoundRect(
                    Color(255,255,255),
                    cornerRadius = CornerRadius(10.dp.toPx())
                )
            }
    )
}